# 构建 elasticsearch6 镜像

## 导入文件
- [下载 elasticsearch-$VERSION.tar.gz](https://www.elastic.co/cn/downloads/elasticsearch)

## 定制
- 创建日志目录和插件目录
- 修改 jdk 安全策略
- 在启动参数中指定数据目录和日志目录，覆盖配置文件
- docker 参数: --privileged

## 外挂目录和文件
- /opt/es/config: es 配置目录
- /opt/es/data: es 数据目录
- /opt/es/logs: es 日志目录
- /opt/es/plugins: es 插件目录
- /opt/es/offline-plugins: es 离线插件目录，把离线插件文件(xxxx.zip)放在该目录下，重启容器后可以自动安装

## 引入环境变量
- ES_JAVA_OPTS: jdk 配置
- \_CONF\_\*: es 配置

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署单节点
- [Demo/ThreeNodes/](Demo/ThreeNodes/): 部署三节点集群

